> ## Documentation Index
> Fetch the complete documentation index at: https://bianxieai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 内容审查

> 检查文本或多模态输入是否违反安全分类

| 字段      | 类型           | 必填 | 说明                      |
| ------- | ------------ | -- | ----------------------- |
| `input` | string/array | 是  | 单段文本、文本数组或受模型支持的多模态输入项。 |
| `model` | string       | 否  | 审查模型 ID。                |

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.bianxie.ai/v1/moderations \
    -H "Authorization: Bearer API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "your-model",
      "input": "需要检查的内容"
    }'
  ```

  ```python Python theme={null}
  client.moderations.create(model="your-model", input="需要检查的内容")
  ```

  ```javascript Node.js theme={null}
  await client.moderations.create({ model: "your-model", input: "Content to check" });
  ```
</CodeGroup>

响应包含 `id`、`model` 和 `results[]`。每个结果包含整体 `flagged`、各 `categories` 布尔值、`category_scores`，部分模型还返回适用输入类型。此接口不流式返回。
